MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003991ATutorContentpublic2009-11-10 06:412009-12-16 03:59
ReporterIndieRect 
Assigned Tocindy 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.6.3 
Target VersionFixed in Version1.6.4 
Summary0003991: JavaScript: Clicking on a checkbox doesn't toggle it
DescriptionOn content editing page, tab Tests & Surveys, there's a bug with the test table: when a checkbox is clicked, it's not toggled.
Apparently, it first gets toggled as usual, and then toggled back by the JavaScript responsible for selecting it when its row is clicked.


Related issue: 0003990
TagsNo tags attached.
Affects versionSVN
SVN Revision#
Attached Files

- Relationships

-  Notes
(0003861)
cindy (administrator)
2009-11-13 09:32

SVN revision: 8903

Solution: move javascript out of the loop

Affected script: include/html/editor_tabs/tests.inc.php
(0003882)
cindy (administrator)
2009-11-17 05:13

Also fixed the checkbox toggle issue by adding onmouseup event onto checkboxes.
(0003980)
IndieRect (reporter)
2009-12-11 04:19

Same issue in the inbox (inbox/index.php and inbox/sent_messages.php).
(0003981)
cindy (administrator)
2009-12-11 08:00

Hi Indie, thanks for the report. Fixed.

SVN revision: 9027

Solution: add "onmouseup" event on checkboxes.

Affected scripts:
inbox/index.php
inbox/sent_message.php

- Issue History
Date Modified Username Field Change
2009-11-10 06:41 IndieRect New Issue
2009-11-10 06:41 IndieRect Affects version => SVN
2009-11-12 02:49 greg Status new => assigned
2009-11-12 02:49 greg Assigned To => cindy
2009-11-13 09:32 cindy Status assigned => resolved
2009-11-13 09:32 cindy Fixed in Version => 1.6.4
2009-11-13 09:32 cindy Resolution open => fixed
2009-11-13 09:32 cindy Note Added: 0003861
2009-11-17 05:11 cindy Status resolved => feedback
2009-11-17 05:11 cindy Resolution fixed => reopened
2009-11-17 05:13 cindy Status feedback => resolved
2009-11-17 05:13 cindy Resolution reopened => fixed
2009-11-17 05:13 cindy Note Added: 0003882
2009-12-01 08:41 greg Status resolved => closed
2009-12-11 04:19 IndieRect Status closed => feedback
2009-12-11 04:19 IndieRect Resolution fixed => reopened
2009-12-11 04:19 IndieRect Note Added: 0003980
2009-12-11 08:00 cindy Status feedback => resolved
2009-12-11 08:00 cindy Resolution reopened => fixed
2009-12-11 08:00 cindy Note Added: 0003981
2009-12-16 03:59 greg Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker